• 132阅读
  • 2回复

[提问]Qt6.5.3能用mingw13吗? [复制链接]

上一主题 下一主题
离线wangjianxyz
 

只看楼主 倒序阅读 楼主  发表于: 06-06
安装了Qt6.5.3,里面自带了mingw11和mingw13, 然后,我看编译选项,默认用的时mingw11.

如果改成mingw13,会有问题吗?
离线fsu0413

只看该作者 1楼 发表于: 06-07
有问题,mingw-w64不做二进制兼容,得用mingw13重编
在线lixinwei

只看该作者 2楼 发表于: 06-07
从 Qt 6.2.2 到 最新的 Qt 6.7.1,Qt 官方都使用 mingw11;从 Qt 6.8 开始用 mingw13。
无论使用 Qt 官方的安装包,还是自己从源码编译 Qt,都建议使用跟官方一致版本的 mingw。
前段时间我用 mingw11 编译 dev 分支(Qt 6.8),发现编译出错,换成 mingw13 编译就没问题。

快速回复
限100 字节
 
上一个 下一个